package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrCheckHistoryAttach;
import com.ruoyi.system.domain.visit.dr.VisitDrCheckHistoryAttachExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrCheckHistoryAttachMapper {
    long countByExample(VisitDrCheckHistoryAttachExample example);

    int deleteByExample(VisitDrCheckHistoryAttachExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrCheckHistoryAttach record);

    int insertSelective(VisitDrCheckHistoryAttach record);

    List<VisitDrCheckHistoryAttach> selectByExample(VisitDrCheckHistoryAttachExample example);

    VisitDrCheckHistoryAttach selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrCheckHistoryAttach record, @Param("example") VisitDrCheckHistoryAttachExample example);

    int updateByExample(@Param("record") VisitDrCheckHistoryAttach record, @Param("example") VisitDrCheckHistoryAttachExample example);

    int updateByPrimaryKeySelective(VisitDrCheckHistoryAttach record);

    int updateByPrimaryKey(VisitDrCheckHistoryAttach record);
}